V1 Create Loan

Creates a new loan in Encompass. The new loan is saved to the working folder of the user who is assigned to the loan. The working folder is set up by an Encompass Administrator for each user. If no working folder is defined for the user, the new loan will be saved to the "My Pipeline" folder. The loan ID is returned in the header. Once a loan is created you can retrieve the entire loan or request specific data from the loan. You can also assign the loan to a Loan Officer in your organization at the time of loan creation.

loanFolder Attributes

ATTRIBUTEDESCRIPTION
name
string
Name of the loan folder.
loanGuid
string
The unique identifier assigned to the loan. Also known as a loanId. Refers to a loan that will be acted upon.
Query Params
string

Possible values are:
entity - Returns all properties for a loan.
id - Returns the ID assigned to the loan.

string

Path to the loan template that will be applied to the loan. See Loan: Template.

string

Name of the loan folder.

string

The unique identifier of the User you want to assign as Loan Officer to the loan at the time of loan creation.

Body Params
json
required
Defaults to { "applicationTakenMethodType": "Internet", "applications": [ { "borrower": { "birthDate": "1983-01-02", "emailAddressText": "[email protected]", "firstName": "Mobile", "homePhoneNumber": "415-555-1212", "lastName": "ANDERSON" }, "coBorrower": { "birthDate": "1983-01-04", "emailAddressText": "[email protected]", "firstName": "M2", "homePhoneNumber": "415-777-0909", "lastName": "Perf2" }, "employment": [ { "owner": "Borrower", "currentEmploymentIndicator": true, "phoneNumber": "510-765-3232" } ], "residences": [ { "addressCityddressCity": "Pleasanton", "addressPostalCode": "94588", "addressState": "CA" }, { "addressCity": "San Ramon", "addressPostalCode": "94582", "addressState": "CA" }, { "addressCity": "Pleasanton ", "addressPostalCode": "94588", "addressState": "CA" }, { "addressCity": "Danville", "addressPostalCode": "94583", "addressState": "CA" } ], "propertyUsageType": "PrimaryResidence", "totalIncomeAmount": "11979.00", "income": [ { "incomeType": "Base", "owner": "Borrower", "amount": "5555.00", "currentIndicator": "true" }, { "incomeType": "Base", "owner": "Borrower", "amount": "5557.00", "currentIndicator": "true" } ] } ], "fundingAmount": null, "lockField": false }

Loan Request JSON. The loan data elements. Use the data provided in the sample request or create a loan with default values using {}.

Headers
string
required

Bearer token

Response

Language
Request
Response
Choose an example:
application/json